pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. This enumeration is used to distinguish between different types of attributes.

This enumeration is used to distinguish between different types of attributes. Along with the predefined values, it is possible to allocate additional values for custom attributes using . The predefined values are given below. The type of structure used to store the attribute is listed in parentheses after the description.

System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Pango.AttrType Invalid

  This marks it as an invalid attribute

- Field
  Pango.AttrType Language ()
- Field
  Pango.AttrType Font family name list ()
- Field
  Pango.AttrType Font slant style ()
- Field
  Pango.AttrType Font weight ()
- Field
  Pango.AttrType Font variant (normal or small caps) ()
- Field
  Pango.AttrType Font stretch ()
- Field
  Pango.AttrType Font size in points divided by ()
- Field
  Pango.AttrType Font description ()
- Field
  Pango.AttrType Foreground color ()
- Field
  Pango.AttrType Background color ()
- Field
  Pango.AttrType Whether the text has an underline ()
- Field
  Pango.AttrType Whether the text has an struck-through ()
- Field
  Pango.AttrType Baseline displacement ()
- Field
  Pango.AttrType Shape ()
- Field
  Pango.AttrType Font size scale factor ()
- Field
  System.Int32 Internal field. Do not use.
- Field
  Pango.AttrType To be added To be added